Download it now!
Bug 74605 - negative value for cx attribute value in wp:extents causing corruption for attached file
Summary: negative value for cx attribute value in wp:extents causing corruption for at...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-06 08:21 UTC by Priyanka Gaikwad
Modified: 2014-03-17 11:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Docx file (176.68 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-06 08:21 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2014-02-06 08:21:35 UTC
Created attachment 93509 [details]
Docx file

After roundtrip
<wp:extent cx="-22327235" cy="149225" />
The cx value is negative so that the roundtrip file gives error while opening.
Comment 1 Jorendc 2014-02-10 22:14:42 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5c8a3bfc7e42009a7eaa6353cf2f66a14bfdab76
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-10_10:33:47

Kind regards,
Joren
Comment 2 Commit Notification 2014-02-14 11:04:45 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0ff99adddc104ca09a97c2fd3d25e58787afb32d

fdo#74605 negative value for wp:extents value causing corruption



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-03-17 11:14:31 UTC
No corruption anymore, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Thanks for fixing!

Kind regards,
Joren